Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Protected Member Functions | Protected Attributes | Private Member Functions | Private Attributes | List of all members
ezpKernelWeb Class Reference
Inheritance diagram for ezpKernelWeb:

## Public Member Functions
| __construct (array $settings=array())
| run ()
| runCallback (\Closure $callback, $postReinitialize=true)
| setUseExceptions ( $useExceptions)
| reInitialize ()
| hasServiceContainer ()
| getServiceContainer ()
| setUsePagelayout ( $usePagelayout)

## Protected Member Functions
| dispatchLoop ()
| getPolicyCheckViewMap (array $policyCheckOmitList)
| redirect ()
| sessionInit ()
| requestInit ()
| shutdown ( $reInitialize=true)

## Protected Attributes
| $isInitialized = false
| $settings = array()

## Private Member Functions
| setupFatalErrorHandler ()

## Private Attributes
| $mobileDeviceDetect
| $policyCheckViewMap
| $module
| $warningList = array()
| $siteBasics
| $actualRequestedURI
| $oldURI
| $completeRequestedURI
| $access
| $uri
| $check
| $site
| $languageCode
| $httpCharset

## Additional Inherited Members

## Detailed Description

File containing the ezpKernelWeb class.

Copyright
  Copyright (C) eZ Systems AS. All rights reserved. @license For full copyright and license information view LICENSE file distributed with this source code.

Version
  //autogentag// Provides a kernel handler in web context

Allows kernel to be executed as Controller via run()

Definition at line 16 of file ezpkernelweb.php.

## Constructor & Destructor Documentation

## ◆ __construct()

ezpKernelWeb::__construct | ( | array | $settings = `array()` | ) |

Constructs an ezpKernel instance

Definition at line 112 of file ezpkernelweb.php.

References $file, $ini, $section, $settings, eZExtension\activateExtensions(), eZExecution\addCleanupHandler(), eZSys\cacheDirectory(), eZSiteAccess\change(), eZUpdateDebugSettings(), ezpMobileDeviceDetectFilter\getFilter(), ezpEvent\getInstance(), getServiceContainer(), eZDebug\HANDLE_FROM_PHP, hasServiceContainer(), eZSys\hostname(), eZSys\indexFile(), eZSys\init(), eZURI\instance(), eZSiteAccess\match(), eZSys\requestURI(), eZSys\serverPort(), eZSys\serverVariable(), eZDebug\setHandleType(), setupFatalErrorHandler(), setUseExceptions(), eZTextCodec\updateSettings(), and eZDebugSetting\writeDebug().

## Member Function Documentation

## ◆ dispatchLoop()

ezpKernelWeb::dispatchLoop | ( |  | ) |
| protected

Runs the dispatch loop

Definition at line 594 of file ezpkernelweb.php.

References $currentUser, $ini, $module, $name, $policyCheckViewMap, $uri, eZDebug\addTimingPoint(), eZUser\currentUser(), eZModule\exists(), eZSys\ezcrc32(), fetchModule(), getPolicyCheckViewMap(), eZURI\instance(), eZDebugSetting\writeDebug(), and eZDebug\writeError().

Referenced by run().

## ◆ getPolicyCheckViewMap()

ezpKernelWeb::getPolicyCheckViewMap | ( | array | $policyCheckOmitList | ) |
| protected

Returns the map for policy check view

Parameters

  array | $policyCheckOmitList |

Returns
  array

Definition at line 879 of file ezpkernelweb.php.

References $items, $module, and $policyCheckViewMap.

Referenced by dispatchLoop().

## ◆ getServiceContainer()

ezpKernelWeb::getServiceContainer | ( |  | ) |

Returns the Symfony service container if it has been injected, otherwise returns null.

Returns
  \Symfony\Component\DependencyInjection\ContainerInterface|null

Implements ezpKernelHandler.

Definition at line 1281 of file ezpkernelweb.php.

Referenced by __construct().

## ◆ hasServiceContainer()

ezpKernelWeb::hasServiceContainer | ( |  | ) |

Checks whether the kernel handler has the Symfony service container container or not.

Returns
  bool

Implements ezpKernelHandler.

Definition at line 1270 of file ezpkernelweb.php.

Referenced by __construct().

## ◆ redirect()

ezpKernelWeb::redirect | ( |  | ) |
| protected

Performs a redirection

Definition at line 903 of file ezpkernelweb.php.

References $ini, $tpl, $uri, eZDebug\addTimingPoint(), eZExecution\cleanExit(), eZURI\encodeURL(), eZAppendWarningItem(), eZDisplayResult(), eZSys\indexDir(), eZURI\instance(), eZSys\queryString(), and eZSys\requestURI().

Referenced by run().

## ◆ reInitialize()

ezpKernelWeb::reInitialize | ( |  | ) |

Reinitializes the kernel environment.

Implements ezpKernelHandler.

Definition at line 1259 of file ezpkernelweb.php.

## ◆ requestInit()

ezpKernelWeb::requestInit | ( |  | ) |
| protected

Check for activating Debug by user ID (Final checking. The first was in eZDebug::updateSettings()) @uses eZUser::instance() So needs to be executed after eZSession::start()|lazyStart()

Definition at line 1068 of file ezpkernelweb.php.

References $db, $ini, $time, $uri, eZSession\addCallback(), eZDebug\addTimingPoint(), eZSiteAccess\change(), eZDebug\checkDebugByUser(), eZSiteAccess\current(), eZTranslatorManager\enableDynamicTranslations(), ezpEvent\getInstance(), eZTextCodec\httpCharset(), eZURI\instance(), eZSys\requestURI(), sessionInit(), eZExecution\setCleanExit(), eZDebug\setScriptStart(), and eZSiteAccess\TYPE_URI.

Referenced by run(), and runCallback().

## ◆ run()

ezpKernelWeb::run | ( |  | ) |

Execution point for controller actions

Ouput an is_logged_in cookie when users are logged in for use by http cache solutions.

Deprecated:
  As of 4.5, since 4.4 added lazy session support (init on use)

Implements ezpKernelHandler.

Definition at line 312 of file ezpkernelweb.php.

References $completeRequestedURI, $content, $currentUser, $http, $ini, $oldURI, $tpl, $wwwDir, eZDebug\addTimingPoint(), eZUser\currentUser(), dispatchLoop(), eZPublishSDK\EDITION, eZAppendWarningItem(), eZDisplayResult(), eZSession\hasStarted(), eZHTTPHeader\headerOverrideArray(), redirect(), requestInit(), eZSys\requestURI(), eZDebug\setUseExternalCSS(), shutdown(), eZPublishSDK\version(), eZDebug\writeError(), and eZSys\wwwDir().

## ◆ runCallback()

ezpKernelWeb::runCallback | ( | \Closure | $callback,
|  |  | $postReinitialize = `true`
| ) |  |

Run a callback function in legacy environment

Implements ezpKernelHandler.

Definition at line 1215 of file ezpkernelweb.php.

References requestInit(), and shutdown().

## ◆ sessionInit()

ezpKernelWeb::sessionInit | ( |  | ) |
| protected

Initializes the session. If running, through Symfony the session parameters from Symfony override the session parameter from Exponential.

Definition at line 1037 of file ezpkernelweb.php.

References $ini, eZSession\getHandlerInstance(), eZSession\init(), eZSession\lazyStart(), and eZSession\start().

Referenced by requestInit().

## ◆ setupFatalErrorHandler()

ezpKernelWeb::setupFatalErrorHandler | ( |  | ) |
| private

Definition at line 277 of file ezpkernelweb.php.

References eZExecution\addFatalErrorHandler(), eZDisplayResult(), eZDebug\isDebugEnabled(), and eZExecution\setCleanExit().

Referenced by __construct().

## ◆ setUseExceptions()

ezpKernelWeb::setUseExceptions | ( |  | $useExceptions | ) |

Sets whether to use exceptions in legacy kernel.

Parameters

  bool | $useExceptions |

Implements ezpKernelHandler.

Definition at line 1251 of file ezpkernelweb.php.

References eZModule\$useExceptions.

Referenced by __construct().

## ◆ setUsePagelayout()

ezpKernelWeb::setUsePagelayout | ( |  | $usePagelayout | ) |

Allows user to avoid executing the pagelayout template when running the kernel

Parameters

  bool | $usePagelayout |

Implements ezpWebBasedKernelHandler.

Definition at line 1291 of file ezpkernelweb.php.

## ◆ shutdown()

ezpKernelWeb::shutdown | ( |  | $reInitialize = `true` | ) |
| protected

Runs the shutdown process

Definition at line 1237 of file ezpkernelweb.php.

References eZExecution\cleanup(), and eZExecution\setCleanExit().

Referenced by run(), and runCallback().

## Member Data Documentation

## ◆ $access

ezpKernelWeb::$access
| private

Definition at line 63 of file ezpkernelweb.php.

## ◆ $actualRequestedURI

ezpKernelWeb::$actualRequestedURI
| private

Definition at line 46 of file ezpkernelweb.php.

## ◆ $check

ezpKernelWeb::$check
| private

Definition at line 73 of file ezpkernelweb.php.

## ◆ $completeRequestedURI

ezpKernelWeb::$completeRequestedURI
| private

Definition at line 56 of file ezpkernelweb.php.

Referenced by run().

## ◆ $httpCharset

ezpKernelWeb::$httpCharset
| private

Definition at line 90 of file ezpkernelweb.php.

## ◆ $isInitialized

ezpKernelWeb::$isInitialized = false
| protected

Definition at line 97 of file ezpkernelweb.php.

## ◆ $languageCode

ezpKernelWeb::$languageCode
| private

Definition at line 84 of file ezpkernelweb.php.

## ◆ $mobileDeviceDetect

ezpKernelWeb::$mobileDeviceDetect
| private

Definition at line 21 of file ezpkernelweb.php.

## ◆ $module

ezpKernelWeb::$module
| private

Definition at line 31 of file ezpkernelweb.php.

Referenced by dispatchLoop(), and getPolicyCheckViewMap().

## ◆ $oldURI

ezpKernelWeb::$oldURI
| private

Definition at line 51 of file ezpkernelweb.php.

Referenced by run().

## ◆ $policyCheckViewMap

ezpKernelWeb::$policyCheckViewMap
| private

Definition at line 26 of file ezpkernelweb.php.

Referenced by dispatchLoop(), and getPolicyCheckViewMap().

## ◆ $settings

ezpKernelWeb::$settings = array()
| protected

Definition at line 107 of file ezpkernelweb.php.

Referenced by __construct().

## ◆ $site

ezpKernelWeb::$site
| private

Definition at line 78 of file ezpkernelweb.php.

## ◆ $siteBasics

ezpKernelWeb::$siteBasics
| private

Definition at line 41 of file ezpkernelweb.php.

## ◆ $uri

ezpKernelWeb::$uri
| private

Definition at line 68 of file ezpkernelweb.php.

Referenced by dispatchLoop(), redirect(), and requestInit().

## ◆ $warningList

ezpKernelWeb::$warningList = array()
| private

Definition at line 36 of file ezpkernelweb.php.

The documentation for this class was generated from the following file:

- ezpkernelweb.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.